PDA

View Full Version : [ubuntu] URGENT: missing depencies to install thc-hydra



Sc4Rzz
June 26th, 2008, 10:59 PM
Hello Ubuntu users,

I need some pro help..
I tried to install thc-hydra recently, and without succes.

I was missing 4 dependencies, and already installed 2 of them.
I still need ssh2 en SAP (sapr3) but they aren't in synaptic! (or not under the names ssh2 and sapr3...)

It's really urgent,, hope you can help.

the error I got:



sc4rzz@desktopsc4rzz:~/Desktop/hydra$ ./configure

Starting hydra auto configuration ...

Checking for openssl (libssl/ssl.h) ...
... found
Checking for Postgres (libpq) ...
... found
Checking for SVN (ibsvn_client-1 libapr-0.so libaprutil-0.so) ...
... found
Checking for SAP/R3 (librfc/saprfc.h) ...
... NOT found, module sapr3 disabled
Get it from http://www.sap.com/solutions/netweaver/linux/eval/index.asp
Checking for libssh (libssh/libssh.h) ...
... NOT found, module ssh2 disabled
Get it from http://0xbadc0de.be/ - use v0.11!

Hydra will be installed into .../bin of: /usr/local
(change this by running ./configure --prefix=path)

Writing Makefile.in ...

NOTES NOTES NOTES NOTES NOTES NOTES NOTES NOTES NOTES NOTES NOTES NOTES
================================================== =====================
ARM/PalmPilot users: please run ./configure-arm or ./configure-palm respectivly

now type "make"
sc4rzz@desktopsc4rzz:~/Desktop/hydra$

ibutho
June 26th, 2008, 11:45 PM
In the output shown above, there are links to where you can download the packages you need.

Sc4Rzz
June 27th, 2008, 12:08 AM
In the output shown above, there are links to where you can download the packages you need.

I know this, but the link is outdated, and leads me back to a page where I can order some CD's...

There is no download for the package..

ex.hav0k
July 29th, 2008, 10:08 AM
you can download the stuff, they're big downloads: 7x650mb. it says minimum hdd space is like 15gigs... i dont really want that either. i just want the few small lib files and dependencies... im trying to find somewhere to download the librfc and saprfc.h files from.

edit: this was for SAP R/3. for the ssh... did you follow that link? i followed it and you can install a file called libssh-0.2. try going to http://0xbadc0de.be/wiki/libssh:libssh

Sc4Rzz
August 13th, 2008, 02:33 PM
you can download the stuff, they're big downloads: 7x650mb. it says minimum hdd space is like 15gigs... i dont really want that either. i just want the few small lib files and dependencies... im trying to find somewhere to download the librfc and saprfc.h files from.

edit: this was for SAP R/3. for the ssh... did you follow that link? i followed it and you can install a file called libssh-0.2. try going to http://0xbadc0de.be/wiki/libssh:libssh

sorry for the late response.
I already have ssh now.. only the sap/r3 is so annoying..
found it yet? and do you have a download link for the big downloads?

decadude
November 21st, 2008, 04:42 AM
having the same exact problem

bump

surely someone knows this

Locutus_of_Borg
November 21st, 2008, 05:18 AM
thc-hydra is not worth the trouble.

it will not make you a 1337 HAXOR, but will instead make you ask many many more questions on how it works before you scrap the whole concept and brute force your own myspace accounts or whatever..


I did eventually get it to compile, but never once got it to work right, and half of the internet will agree i think, **** sux

txwooley
January 20th, 2009, 11:30 PM
I have the same problem with missing dependencies. Synaptic says openssl and libssh are installed, but terminal says, "NOT found" for both. These and SAP/R3 are the only missing dependencies. Do I need an older version? Is ./configure pointing to the wrong place to find these files?

p0cky84
July 23rd, 2009, 07:43 PM
thc-hydra is not worth the trouble.

it will not make you a 1337 HAXOR, but will instead make you ask many many more questions on how it works before you scrap the whole concept and brute force your own myspace accounts or whatever..


I did eventually get it to compile, but never once got it to work right, and half of the internet will agree i think, **** sux


Man you really do suck, now don't you? THC Hydra is the best of its kind, and as for;

I did eventually get it to compile, but never once got it to work right, and half of the internet will agree i think, **** sux
That doesn't sound like it was Hydra's fault... Don't blame the apps for your failure.

linuxethylamide
October 13th, 2009, 04:51 PM
Man you really do suck, now don't you? THC Hydra is the best of its kind, and as for;

That doesn't sound like it was Hydra's fault... Don't blame the apps for your failure.

Hydra does seem quite usefull, I really wish it had a brute-force option.
I just switched to ubuntu, Hydra works fine, but I am also having trouble compiling a gui for it.